<ion-header>
    <ion-navbar color="primary">
        <ion-title>
            Login
        </ion-title>
    </ion-navbar>
</ion-header>
<ion-content padding>
    <ion-item class="image">
        <img src="img/student.png" class="img" />
    </ion-item>
    <p *ngIf="submitAttempt" style="color: #ea6153;">Please fill out all details accurately.</p>
    <ion-list no-lines>
        <form [formGroup]="loginForm">
            <ion-item>
                <ion-label floating>UserName</ion-label>
                <ion-input formControlName="email" type="text" [class.invalid]="!loginForm.controls.email.valid && (loginForm.controls.email.dirty || submitAttempt)"></ion-input>
            </ion-item>
            <ion-item *ngIf="!loginForm.controls.email.valid  && (loginForm.controls.email.dirty || submitAttempt)">
                <p>Please enter a valid name.</p>
            </ion-item>
            <ion-item>
                <ion-label floating>Password</ion-label>
                <ion-input type="password" formControlName="password" [class.invalid]="!loginForm.controls.password.valid && (loginForm.controls.password.dirty || submitAttempt)">
                </ion-input>
            </ion-item>
            <ion-item *ngIf="!loginForm.controls.password.valid  && (loginForm.controls.password.dirty || submitAttempt)">
                <p>Please enter a valid password.</p>
            </ion-item>
        </form>
    </ion-list>
    <button ion-button block (click)="loginUser()">LOGIN</button>
    <ion-item class="info">
        <h1>OR</h1>
        <br>
        <h2>Login with</h2>
    </ion-item>
    <button ion-button block class="facebook" (click)="fb()">facebook
        <ion-icon name="logo-facebook"></ion-icon>
    </button>
    <button ion-button block class="google" (click)="google()">google
        <ion-icon name="logo-google"></ion-icon>
    </button>
    <ion-item class="info">
        <h3>Dont have an account yet?</h3>
        <br>
        <h1 (click)="goToSignup()" style="color: #387ef5">SIGN UP</h1>
    </ion-item>
    <ion-item class="info">
        <h3>Forgot Your Password??</h3>
        <br>
        <h1 (click)="goToResetPassword()" style="color: #387ef5">RESET YOUR PASSWORD.</h1>
    </ion-item>
</ion-content>
